ZuploZuplo
LoginSign Up
  • Documentation
  • API Reference
Information
Analytics
    Get recent requests for a given deployment in the last 24 hoursgetGet statistics on requests by status code for a given deploymentget
API Keys - Buckets
    Lists bucketsgetCreates a bucketpostGets a bucketgetDeletes a bucketdeleteUpdates a bucketpatch
API Keys - Consumers
    Lists consumersgetCreates a consumerpostGets a consumergetDeletes a consumerdeleteUpdates a consumerpatchRoll consumer keyspost
API Keys - Keys
    Lists keysgetCreates an API keypostCreates multiple API keyspostGets an API keygetDeletes an API keydeleteUpdates an API keypatch
API Keys - Managers
    Lists managersgetCreates a managerpostDeletes a managerdelete
Audit Logs
    Query audit logsget
Build Logs
    Get build logsget
Client mTLS CA Certificates
    List Client mTLS CA CertificatesgetCreate Client mTLS CA CertificatepostDelete Client mTLS CA CertificatedeleteUpdate Client mTLS CA Certificatepatch
Custom Domains
    Get Custom DomainsgetCreate Custom DomainpostDelete a Custom DomaindeleteUpdate a Custom Domainpatch
Deployments
    Gets a deployment statusgetLists deploymentsgetUpload deployment sourcepostGet a deploymentgetDeletes a deploymentdeleteRe-deploy a deploymentpost
Environments
    Query environmentsgetGet an environmentget
MCP Servers
    API MCP ServerpostDocs MCP Serverpost
Metering - Features
    List featuresgetCreate featurepostGet featuregetDelete featuredelete
Metering - Meters
    List metersgetCreate meterpostGet metergetUpdate meterputDelete meterdeleteList meter group by valuesgetQuery metergetQuery meterpost
Metering - Plans
    List plansgetCreate a planpostGet plangetUpdate a planputDelete plandeleteArchive plan versionpostPublish planpost
Projects
    Create projectpost
Runtime Logs
    List request logsgetGet request log detailget
Tunnel Services
    Gets a provisioning statusgetGets a service configurationgetConfigures tunnel servicesput
Tunnels
    Lists tunnelsgetCreates a tunnelpostGets a tunnelgetDeletes a tunneldeleteRotates the tokenpostGets a teardown statusget
Variables
    Creates a variablepostUpdates a variablepatch
Other endpoints
    OpenAPI SpecificationgetLists accountsgetLists projectsgetWho Am Iget
Schemas
powered by Zudoku
Zuplo Developer API
Zuplo Developer API

API Keys - Managers

A Manager is an object representing a group of managers in a given consumer. This section includes a group of endpoints available to perform operations on a manager. You can learn more about consumer managers here.


Lists managers

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets/{bucketName}/consumers/{consumerName}/managers

Lists all managers belonging to a consumer.

Lists managers › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

bucketName
​string · required

The name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.

consumerName
​string · required

The name of the consumer.

Lists managers › query Parameters

limit
​integer · min: 1 · max: 1000 · required

The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used. Default: 1000

offset
​integer · min: 0 · required

The offset of the first item returned in the collection. Default: 0

Lists managers › Responses

The request has succeeded.

Zuplo.ApiKeys.Managers
​Zuplo.ApiKeys.Manager[] · required
limit
​integer · uint32
offset
​integer · uint32
total
​integer · uint32
GET/v1/accounts/{accountName}/key-buckets/{bucketName}/consumers/{consumerName}/managers
curl 'https://dev.zuplo.com/v1/accounts/:accountName/key-buckets/:bucketName/consumers/:consumerName/managers?limit=<number>&offset=<number>'
Example Responses
{ "data": [ { "createdOn": "2023-04-20T05:54:34.408Z", "id": "managerId", "email": "bob@example.com", "sub": "sub-oauth2|113533232396018044159" } ], "limit": 1000, "offset": 0 }
json
application/json

Creates a manager

POST
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets/{bucketName}/consumers/{consumerName}/managers

Creates a new manager for a consumer.

Creates a manager › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

bucketName
​string · required

The name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.

consumerName
​string · required

The name of the consumer.

Creates a manager › Request Body

Zuplo.ApiKeys.ManagerCreateBody
email
​string · required

The email address of the manager

sub
​string · required

The sub of the manager in the identity provider

Creates a manager › Responses

The request has succeeded.

Managers are users that have access to a consumer. Managers can be added directly to a consumer (using email and sub) or invited (using only email) to a consumer.
Zuplo.ApiKeys.Manager
email
​string · required

The email address of the manager

sub
​string · required

The sub of the manager in the identity provider

POST/v1/accounts/{accountName}/key-buckets/{bucketName}/consumers/{consumerName}/managers
curl https://dev.zuplo.com/v1/accounts/:accountName/key-buckets/:bucketName/consumers/:consumerName/managers \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "email": "bob@example.com", "sub": "sub-oauth2|113533232396018044159" }'
Example Request Body
{ "email": "bob@example.com", "sub": "sub-oauth2|113533232396018044159" }
json
Example Responses
{ "createdOn": "2023-04-20T05:54:34.408Z", "id": "managerId", "email": "bob@example.com", "sub": "sub-oauth2|113533232396018044159" }
json
application/json

Deletes a manager

DELETE
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets/{bucketName}/consumers/{consumerName}/managers/{managerId}

Deletes a manager record

Deletes a manager › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

bucketName
​string · required

The name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.

consumerName
​string · required

The name of the consumer.

managerId
​string · required

The manager id

Deletes a manager › Responses

There is no content to send for this request, but the headers may be useful.

No data returned
DELETE/v1/accounts/{accountName}/key-buckets/{bucketName}/consumers/{consumerName}/managers/{managerId}
curl https://dev.zuplo.com/v1/accounts/:accountName/key-buckets/:bucketName/consumers/:consumerName/managers/:managerId \ --request DELETE
Example Responses
No example specified for this content type

API Keys - KeysAudit Logs